{
  "name": "server",
  "version": "1.0.0",
  "description": "",
  "main": "index.ts",
  "scripts": {
    "build": "tsc && tsup",
    "start:dev": "node --import=tsx --watch src/index.ts",
    "start:prod": "node dist/index.js",
    "clean": "rm -rf dist node_modules",
    "typecheck": "tsc --noEmit",
    "test": "jest --config=./jest.config.ts --verbose",
    "lint": "biome lint --fix",
    "format": "biome format --write"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@biomejs/biome": "1.9.4",
    "@repo/typescript-config": "workspace:*",
    "@types/bcrypt": "^5.0.2",
    "@types/dinero.js": "^1.9.4",
    "@types/express": "^4.17.21",
    "@types/glob": "^8.1.0",
    "@types/jest": "^29.5.14",
    "@types/jsonwebtoken": "^9.0.8",
    "@types/luxon": "^3.4.2",
    "@types/node": "^22.15.12",
    "@types/passport": "^1.0.16",
    "@types/passport-jwt": "^4.0.1",
    "@types/passport-local": "^1.0.38",
    "@types/response-time": "^2.3.8",
    "jest": "^29.7.0",
    "ts-jest": "^29.2.5",
    "tsconfig-paths": "^4.2.0",
    "tsup": "8.4.0",
    "tsx": "4.19.4",
    "typescript": "^5.8.3"
  },
  "dependencies": {
    "@erp/auth": "workspace:*",
    "@erp/core": "workspace:*",
    "bcrypt": "^5.1.1",
    "cls-rtracer": "^2.6.3",
    "cors": "^2.8.5",
    "dinero.js": "^1.9.1",
    "dotenv": "^16.5.0",
    "express": "^4.18.2",
    "helmet": "^8.0.0",
    "http": "0.0.1-security",
    "http-status": "^2.1.0",
    "jsonwebtoken": "^9.0.2",
    "libphonenumber-js": "^1.11.20",
    "luxon": "^3.5.0",
    "module-alias": "^2.2.3",
    "mysql2": "^3.12.0",
    "passport": "^0.7.0",
    "passport-jwt": "^4.0.1",
    "passport-local": "^1.0.0",
    "path": "^0.12.7",
    "reflect-metadata": "^0.2.2",
    "response-time": "^2.3.3",
    "sequelize": "^6.37.5",
    "shallow-equal-object": "^1.1.1",
    "ts-node": "^10.9.1",
    "uuid": "^11.0.5",
    "winston": "^3.17.0",
    "winston-daily-rotate-file": "^5.0.0",
    "zod": "^3.24.1"
  },
  "engines": {
    "node": ">=22"
  },
  "tsup": {
    "entry": ["src/index.ts"],
    "outDir": "dist",
    "format": ["esm", "cjs"],
    "target": "es2020",
    "sourcemap": true,
    "clean": true,
    "dts": true,
    "splitting": false,
    "skipNodeModulesBundle": true
  }
}
